<?php

namespace App\Modules\Invoices;

class InvoiceObserver extends AbstractInvoiceObserver
{
    public function saving($model)
    {
        $this->calculateTotalPrice($model);
        $this->checkPaid($model);
    }

    public function saved($model)
    {
        $this->touchTasks($model);
    }
}
